package cn.freemud.demo.manager.customer;

import cn.freemud.demo.entities.bo.goods.QueryReceiveAddressByIdBO;
import cn.freemud.demo.entities.bo.goods.ReceiveAddressBO;
import cn.freemud.demo.entities.bo.member.*;

public interface CustomerService {

    CustomerInfo getUserInfoByUserId(String sessionId);

    ReceiveAddressBO queryReceiveAddressById(QueryReceiveAddressByIdBO queryReceiveAddressByIdBO);

    UserScoreUserDetailBO getUserScoreUseDetail(GetUserScoreUseDetailBO getUserScoreUseDetailBO);

    PaidRuleResponseBO getPaidRule(GetPaidRuleRequestBO getPaidRuleRequestBO);

}
